Bug 254079 - www/phpvirtualbox: Update to 6.1, Add legacy port
Summary: www/phpvirtualbox: Update to 6.1, Add legacy port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-03-07 02:16 UTC by Derek Schrock
Modified: 2021-04-06 11:23 UTC (History)
2 users (show)

See Also:
madpilot: maintainer-feedback+


Attachments
Update to 6.1 add legacy port (34.77 KB, patch)
2021-03-07 02:16 UTC, Derek Schrock
no flags Details | Diff
Refreshed patch on (github mirror) e010feae47 for php vbox6.x/legacy (34.76 KB, patch)
2021-03-31 13:49 UTC, Derek Schrock
no flags Details | Diff
Updated patch (7.67 KB, patch)
2021-04-02 15:55 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2021-03-07 02:16:51 UTC
Created attachment 223038 [details]
Update to 6.1 add legacy port

- Move current www/phpvirtualbox to www/phpvirtualbox-legacy to support
  www/phpvirtualbox-legacy 5.x vbox
- Update www/phpvirtualbox to upstream develop branch 6.1 version
- Allow both www/phpvirtualbox{,-legacy} to be installed at the same time


www/phpvirtualbox:
portlint: ok. looks fine.
testport: ok. 12amd64.

www/phpvirtualbox-legacy:
portlint: ok. looks fine.
testport: ok. 12amd64.


Installed both at the same time in a jail with apache and pointed config.php to the properly supported instance of vbox. Both worked.
Comment 1 Dutchman01 2021-03-15 16:59:48 UTC
nice work, thanks
Comment 2 Derek Schrock 2021-03-27 04:02:06 UTC
Any chance we can get this committed?
Comment 3 Guido Falsi freebsd_committer 2021-03-31 08:07:41 UTC
I'm taking this, to test and see if I can commit, since I was the one who committed the 6.1 update to virtualbox.

Will report back after some basic testing and review.
Comment 4 Guido Falsi freebsd_committer 2021-03-31 08:33:14 UTC
Patch fails to apply. Can you refresh it on a recent ports checkout?
Comment 5 Derek Schrock 2021-03-31 13:49:01 UTC
Created attachment 223730 [details]
Refreshed patch on (github mirror) e010feae47 for php vbox6.x/legacy

Refreshed patch from github mirror e010feae47.
Comment 6 Guido Falsi freebsd_committer 2021-04-02 15:55:40 UTC
Created attachment 223770 [details]
Updated patch

I have updated the patch slightly.

I preferred using PKGNAMESUFFIX, to be in line with VirtualBox ports. Also the upstream name did not really change.

I'm setting WWWDIR accordingly to permit parallel installation.

I've also modified the UPDATING message.

I've tested these in poudriere and local installation of the packages. I've not tried running this.

The ports tree is temporarily frozen due to the git migration. Once operations will resume (modulo some time for me to adapt to the new workflow) I will commit it.
Comment 7 commit-hook freebsd_committer 2021-04-06 11:10:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=313aa231df46d0457fa800d187d0f41cd6caf1e8

commit 313aa231df46d0457fa800d187d0f41cd6caf1e8
Author:     Guido Falsi <madpilot@FreeBSD.org>
AuthorDate: 2021-04-06 11:09:25 +0000
Commit:     Guido Falsi <madpilot@FreeBSD.org>
CommitDate: 2021-04-06 11:09:25 +0000

    www/phpvirtualbox: Update to 6.1, Add legacy port

    www/phpvirtualbox copied to www/phpvirtualbox-legacy.

    PR:             254079
    Submitted by:   Derek Schrock <dereks@lifeofadishwasher.com>

 UPDATING                                           |  12 +
 www/Makefile                                       |   1 +
 www/phpvirtualbox-legacy/Makefile (new)            |  40 ++
 www/phpvirtualbox-legacy/distinfo (new)            |   3 +
 .../files/patch-js_utils.js                        |   0
 ...atch-panes_mediumEncryptionPasswords.html (new) |  41 ++
 www/phpvirtualbox-legacy/pkg-descr (new)           |   5 +
 www/phpvirtualbox-legacy/pkg-plist (new)           | 580 +++++++++++++++++++++
 www/phpvirtualbox/Makefile                         |   7 +-
 www/phpvirtualbox/distinfo                         |   6 +-
 www/phpvirtualbox/pkg-plist                        |  12 +
 11 files changed, 701 insertions(+), 6 deletions(-)
Comment 8 Guido Falsi freebsd_committer 2021-04-06 11:23:32 UTC
Committed. Thanks!